LOGONS.MOD : Fix the Logons Search Pattern in UEDIT.C
Aaron Thicke #1 @8775
Sun Dec 08 01:23:47 1991
NAME: LOGONS.MOD
DATE: 12-09-91
VER:  4.2B (as far as I know)
FILES: UEDIT.C
PROBLEM: When you do a search in the User Editor, and you choose to search
         for say, LOGONS<[2], the computer would do nothing. Well, here is 
         the Fix.

/***************************************************************************/


In UEDIT.C, search for the code..........




          } else if (!strcmp(fcn,"LASTON")) {
            time(&l);
            tmp2=(unsigned int)( (l-u->daten)/24.0/3600.0 );
            if (less)
              tmp=tmp2<tmp1;
            else
              tmp=tmp2>tmp1;
          } else if (!strcmp(fcn,"AREACODE")) {
            tmp=(!strncmp(parm,u->phone,3));
          } else if (!strcmp(fcn,"RESTRICT")) {
            ;
          } else if (!strcmp(fcn,"LOGONS")) {
            if (less)
              tmp=thisuser.logons<tmp1;
            else
              tmp=thisuser.logons>tmp1;
          }

        } else
          tmp=match_user(u);

Make the above code look like the code below. The way that WWIV was looking
for the specified logons was incorrect. Reflect the changes below....


/**************************************************************************/

          } else if (!strcmp(fcn,"LASTON")) {
            time(&l);
            tmp2=(unsigned int)( (l-u->daten)/24.0/3600.0 );
            if (less)
              tmp=tmp2<tmp1;
            else
              tmp=tmp2>tmp1;
          } else if (!strcmp(fcn,"AREACODE")) {
            tmp=(!strncmp(parm,u->phone,3));
          } else if (!strcmp(fcn,"RESTRICT")) {
            ;
          } else if (!strcmp(fcn,"LOGONS")) {
            if (less)
              tmp=(tmp1>u->logons);         /* Change */
            else
              tmp=(tmp1<u->logons);         /* Change */
          }

        } else
          tmp=match_user(u);
/**************************************************************************/

Thats it. Now, when you do a Search for 

LOGONS<[2]

The computer will now do what it should, instead of doing nothing.

If you have any questions, just let me know. L8r, Aaron.



                                The Beef House
                          An Alternative Lifestyles BBS
                        One In Ten Is Still The Average!! 
                      Metro 817-267-1039 | 2400 | WWIV 4.20


